# Amuse: amuse::SoundMacroState Class Reference

amuse::SoundMacroState Class Reference

`#include <SoundMacroState.hpp>`

Collaboration diagram for amuse::SoundMacroState:

## Public Member Functions

void | initialize (const unsigned char *ptr, int step)
void | initialize (const unsigned char *ptr, int step, double ticksPerSec, uint8_t midiKey, uint8_t midiVel, uint8_t midiMod)
bool | advance (Voice &vox, double dt)
void | keyoffNotify (Voice &vox)
void | sampleEndNotify (Voice &vox)

## Friends

class | Voice

## Detailed Description

Real-time state of SoundMacro execution

Definition at line 14 of file SoundMacroState.hpp.

## Member Function Documentation

bool amuse::SoundMacroState::advance | ( | Voice & | vox,
|  | double | dt
| ) |  |

advances `dt` seconds worth of commands in the SoundMacro

Returns
  `true` if END reached

void amuse::SoundMacroState::initialize | ( | const unsigned char * | ptr,
|  | int | step
| ) |  |

initialize state for SoundMacro data at `ptr`

void amuse::SoundMacroState::keyoffNotify | ( | Voice & | vox | ) |

keyoff event

void amuse::SoundMacroState::sampleEndNotify | ( | Voice & | vox | ) |

sample end event

The documentation for this class was generated from the following file:

- include/amuse/SoundMacroState.hpp